<?php

namespace app\entity\data\shared;

use app\entity\data\DataEntity;

class SharedProsperityRewardRecordEntity extends DataEntity
{
    public $id = null;  // ID
    public $userId = null;  // 用户ID
    public $type = null;  // 奖励类型
    public $pm = null;  // 奖励类型
    public $number = null;  // 明细数字
    public $balance = null;  // 剩余
    public $status = null;  // 状态
    public $typeShop = null;  // 类型商店
    public $orderSn = null;  // 订单号
    public $takeTime = null;  // 结算时间
    public $remark = null;
    public $createTime = null;  // 添加时间
    public $updateTime = null;  // 更新时间

    /**
     * @return mixed
     */
    public function getId()
    {
        return $this->id;
    }

    /**
     * @param mixed $id
     * @return SharedProsperityRewardRecordEntity
     */
    public function setId($id): SharedProsperityRewardRecordEntity
    {
        $this->id = $id;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getUserId()
    {
        return $this->userId;
    }

    /**
     * @param mixed $userId
     * @return SharedProsperityRewardRecordEntity
     */
    public function setUserId($userId): SharedProsperityRewardRecordEntity
    {
        $this->userId = $userId;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param mixed $type
     * @return SharedProsperityRewardRecordEntity
     */
    public function setType($type): SharedProsperityRewardRecordEntity
    {
        $this->type = $type;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getPm()
    {
        return $this->pm;
    }

    /**
     * @param mixed $pm
     * @return SharedProsperityRewardRecordEntity
     */
    public function setPm($pm): SharedProsperityRewardRecordEntity
    {
        $this->pm = $pm;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getNumber()
    {
        return $this->number;
    }

    /**
     * @param mixed $number
     * @return SharedProsperityRewardRecordEntity
     */
    public function setNumber($number): SharedProsperityRewardRecordEntity
    {
        $this->number = $number;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getBalance()
    {
        return $this->balance;
    }

    /**
     * @param mixed $balance
     * @return SharedProsperityRewardRecordEntity
     */
    public function setBalance($balance): SharedProsperityRewardRecordEntity
    {
        $this->balance = $balance;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getStatus()
    {
        return $this->status;
    }

    /**
     * @param mixed $status
     * @return SharedProsperityRewardRecordEntity
     */
    public function setStatus($status): SharedProsperityRewardRecordEntity
    {
        $this->status = $status;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getTypeShop()
    {
        return $this->typeShop;
    }

    /**
     * @param mixed $typeShop
     * @return SharedProsperityRewardRecordEntity
     */
    public function setTypeShop($typeShop): SharedProsperityRewardRecordEntity
    {
        $this->typeShop = $typeShop;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getOrderSn()
    {
        return $this->orderSn;
    }

    /**
     * @param mixed $orderSn
     * @return SharedProsperityRewardRecordEntity
     */
    public function setOrderSn($orderSn): SharedProsperityRewardRecordEntity
    {
        $this->orderSn = $orderSn;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getTakeTime()
    {
        return $this->takeTime;
    }

    /**
     * @param mixed $takeTime
     * @return SharedProsperityRewardRecordEntity
     */
    public function setTakeTime($takeTime): SharedProsperityRewardRecordEntity
    {
        $this->takeTime = $takeTime;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getRemark()
    {
        return $this->remark;
    }

    /**
     * @param mixed $remark
     * @return SharedProsperityRewardRecordEntity
     */
    public function setRemark($remark): SharedProsperityRewardRecordEntity
    {
        $this->remark = $remark;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getCreateTime()
    {
        return $this->createTime;
    }

    /**
     * @param mixed $createTime
     * @return SharedProsperityRewardRecordEntity
     */
    public function setCreateTime($createTime): SharedProsperityRewardRecordEntity
    {
        $this->createTime = $createTime;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getUpdateTime()
    {
        return $this->updateTime;
    }

    /**
     * @param mixed $updateTime
     * @return SharedProsperityRewardRecordEntity
     */
    public function setUpdateTime($updateTime): SharedProsperityRewardRecordEntity
    {
        $this->updateTime = $updateTime;
        return $this;
    }
}
